osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

AttributeError: 'module' object has no attribute '__path__'


I am using Jupyter notebooks, with Python 3.4. The error below references the Anaconda distribution package. This error occurred quite precipitously (only 2 minutes before I was able to import the modules). I am using Windows 7. My path in the console uses Python27. I also have python 34 as well. I am not sure where to start modifying the path and fear that I will break my initial setup. I welcome feedback on next steps.


---------------------------------------------------------------------------
AttributeError                            Traceback (most recent call last)
C:\Program Files\New\lib\importlib\_bootstrap.py in _find_and_load_unlocked(name, import_)

AttributeError: 'module' object has no attribute '__path__'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
<ipython-input-4-0ed85c3e8b64> in <module>()
      8 import fnmatch
      9 # import xml.etree.cElementTree as ElementTree
---> 10 from xml.etree.ElementTree import XMLParser
     11 import xml.etree.ElementTree as ElementTree
     12 import glob

ImportError: No module named 'xml.etree'; 'xml' is not a package